import { useRequest } from '@/use/useHttp'
//列表
export const DeliverNoticeOrderList = () => {
  return useRequest({
    url: `/v2/mp/deliveryNoticeOrder/list`,
    method: 'get',
  })
}
//发货详情
export const DeliverNoticeOrder = () => {
  return useRequest({
    url: `/v2/mp/deliveryNoticeOrder`,
    method: 'get',
  })
}
//发货附件上传
export const DeliveryNoticeOrderUpload = () => {
  return useRequest({
    url: `/v2/mp/deliveryNoticeOrder/upload`,
    method: 'put',
  })
}
//审核发货单
export const DeliveryNoticeOrderAudit = () => {
  return useRequest({
    url: `/v2/mp/deliveryNoticeOrder/audit`,
    method: 'put',
  })
}
//采购退货的拒收接口
export const DeliveryNoticeOrderRejection = () => {
  return useRequest({
    url: `/v2/mp/deliveryNoticeOrder/rejection`,
    method: 'put',
  })
}

//类型枚举
export const EnumDeliveryNoticeTypeList = () => {
  return useRequest({
    url: `/v2/mp/enum/deliveryNoticeType/list`,
    method: 'get',
  })
}
//tabs枚举
export const EnumSaleorderStatus = () => {
  return useRequest({
    url: `/v2/mp/enum/sale/order/status`,
    method: 'get',
  })
}
