import { useRequest } from '@/use/useHttp'
/**
 * 修改购物车
 * @returns
 */
// export const ShoppingCartUpdateApi = () => {
//   return useRequest({
//     url: `/v2/mp/shoppingCart/productColor`,
//     method: 'put',
//   })
// }
/**
 * 删除购物车商品
 * @returns
 */
export const ShoppingCartDeleteApi = () => {
  return useRequest({
    url: `/v2/mp/shoppingCart/productColor`,
    method: 'delete',
  })
}
/**
 * 获取购物车商品列表
 * @returns
 */
export const ShoppingCartListApi = () => {
  return useRequest({
    url: `/v2/mp/shoppingCart/productColor`,
    method: 'get',
  })
}
/**
 * 调整购物车商品数量
 * @returns
 */
export const AdjestShoppingCartApi = () => {
  return useRequest({
    url: `/v2/mp/shoppingCart/productColor`,
    method: 'put',
  })
}
